It's not the same without you

Join the community to find out what other Atlassian users are discussing, debating and creating.

Atlassian Community Hero Image Collage

Cannot Install update on Jira Service Desk 3.1.10

The last week I install all update on Jira Sotware from 7.2.0 to 7.7.0, but i try to install all update on Jira Servie Desk 3.1.10, but into the log file only show me "Failed to install add-on plugin_5082672348126406353_jira-servicedesk-application-3.2.1"

1 answer

0 votes
Andy Heinzer Atlassian Team Jan 29, 2018

The version numbers here are somewhat confusing.  I'm not sure where or how you're seeing a 3.1.10 JSD version.  That version should only have been compatible with Jira Core 7.1.x versions.   If you were on Jira 7.2.0, then it makes sense that you might have had a Jira Service Desk 3.2.1 version installed with that version, those are at least compatible.  However when you updated Jira to 7.7.0, the version of Service Desk that is compatible with that version is actually 3.10.0.   Perhaps that versioning number similarly ti 3.1.10 is the confusing part here.

I think you actually want the 3.10.0 Jira Service Desk for this specific instance given your version of Jira.   If you're Jira instance has network access to the internet, you should be able to install this update directly on the Applications -> Versions & Licenses page.   Even if you do not have network access, you can still use that page to download the obr file for that version where you can find on this page:  https://marketplace.atlassian.com/plugins/com.atlassian.servicedesk.application/versions

I had the Jira Software version 7.1.10 and Jira Heldesk 3.1.10, the last week I install al update for Jira Software without any issue, then  I tried to install the updates for Jira Help Desk.

Andy Heinzer Atlassian Team Jan 30, 2018

Try this:

  1. Stop Jira
  2. Navigate to your $JIRAHOME/plugins/installed-plugins/
  3. move all the files that have the word 'servicedesk' in their file name from this folder, into a temp folder outside the $JIRAHOME directory
  4. Start Jira again

These steps will allow your instance to start up without any attempted Service Desk plugins trying to be loaded on startup.  Once that is complete, then go back to the Gear Icon -> Applications -> Versions & Licenses.  On that page should be an option on the right side to 'Try Service Desk'.  Or if you have a valid JSD license installed, you might also be able to directly install the compatible version of JSD with your Jira Core version that way.

Try these steps.  If you are still running into problems, please let us know what steps you took and it might also help to look into the $JIRAHOME/log/atlassian-jira.log file at the time of this JSD install/upgrade to see what that log says.

we have not installed Jira Core we only have installed Bitbucket server, Jira Software  and Jira Heldesk.

 

errorlog

018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] OBR resolver has 38 unsatisfied requirements for installing plugin_3110022309239046551_jira-servicedesk-application-3.2.0.obr
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.jira.issue.export))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.api.user))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.annotations.tenancy))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.plugin.spring.scanner.annotation.imports))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.report.convert))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.applink))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.mail.converters.basic))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.feature.customer.request))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.feedback))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.sla.searcher))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.analytics))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.jira.issue.export.customfield))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.sla.util))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.feature.reqparticipants))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.plugins.kb.internal.obr.install))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.sla.metric))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.report.series))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.search.user))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.plugins.coreui.internal.utils))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.rest))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.plugins.approvals.internal.obr.install))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.annotations.nonnull))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.sla))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.knowledgebase))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.sla.configuration.calendar))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.mail.converters.wiki))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.user))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.listener))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(symbolicname=com.atlassian.servicedesk.public-rest-api)(version>=3.2.0.038-01))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.events))
2018-03-04 13:08:53,585 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.customfields.feedback))
2018-03-04 13:08:53,586 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.feature.applink))
2018-03-04 13:08:53,586 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.mail.converters))
2018-03-04 13:08:53,586 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.sla.searcher.builder))
2018-03-04 13:08:53,586 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.plugin.spring.scanner.annotation.export))
2018-03-04 13:08:53,586 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.util.paging))
2018-03-04 13:08:53,586 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.customfields.origin))
2018-03-04 13:08:53,586 UpmAsynchronousTaskManager:thread-1 ERROR Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.ObrPluginInstallHandler] Unsatisfied requirement: (&(package=com.atlassian.servicedesk.internal.api.request.requesttype.status))
2018-03-04 13:08:53,614 UpmAsynchronousTaskManager:thread-1 WARN Juan 758x230084x4 u16b1y xxx.xxx.xxx.xxx /rest/plugins/1.0/installed-marketplace [c.a.u.core.install.DefaultPluginInstallationService] Plugin installation failed: Failed to resolve plugin dependencies within OBR [plugin_3110022309239046551_jira-servicedesk-application-3.2.0.obr]. Please see the logs for more detailed information.

2018-01-29 13:36:14,374 UpmAsynchronousTaskManager:thread-2 WARN Juan 1371x1071633x2 1ofpgmt 10.13.8.33 /rest/plugins/1.0/available/featured [c.a.u.core.install.DefaultPluginInstallationService] Plugin installation failed: Failed to resolve plugin dependencies within OBR [plugin_1464777400796139192_jira-servicedesk-application-3.2.0.obr]. Please see the logs for more detailed information.

 

2018-01-29 13:37:47,344 UpmAsynchronousTaskManager:thread-3 ERROR Juan 496x1644940x2 1oz3on5 10.13.27.40 /rest/plugins/1.0/available/popular [c.a.u.core.install.ObrPluginInstallHandler] OBR resolver has 38 unsatisfied requirements for installing plugin_7154134976525792927_jira-servicedesk-application-3.2.0.obr

2018-01-30 10:11:52,110 JIRA-Bootstrap ERROR [c.a.plugin.loaders.ScanningPluginLoader] Unable to deploy plugin 'null' from 'Unit: /var/atlassian/application-data/jira/plugins/installed-plugins/jira-servicedesk-application-3.10.0.obr (1517332265000)'.
2018-01-30 10:11:52,111 JIRA-Bootstrap ERROR [c.a.plugin.loaders.ScanningPluginLoader] Because of the following exception:
java.lang.IllegalArgumentException: The artifact URI file:/var/atlassian/application-data/jira/plugins/installed-plugins/jira-servicedesk-application-3.10.0.obr is not a valid plugin artifact
at com.atlassian.plugin.DefaultPluginArtifactFactory.create(DefaultPluginArtifactFactory.java:71)
at com.atlassian.plugin.loaders.ScanningPluginLoader.deployPluginFromUnit(ScanningPluginLoader.java:139)
at com.atlassian.plugin.loaders.ScanningPluginLoader.loadAllPlugins(ScanningPluginLoader.java:87)
at com.atlassian.plugin.loaders.PermissionCheckingPluginLoader.loadAllPlugins(PermissionCheckingPluginLoader.java:28)
at com.atlassian.plugin.manager.DefaultPluginManager.earlyStartup(DefaultPluginManager.java:524)
at com.atlassian.jira.plugin.JiraPluginManager.earlyStartup(JiraPluginManager.java:118)
at com.atlassian.jira.ComponentManager$PluginSystem.earlyStartup(ComponentManager.java:610)
at com.atlassian.jira.ComponentManager.quickStart(ComponentManager.java:188)
at com.atlassian.jira.ComponentManager.start(ComponentManager.java:157)
at com.atlassian.jira.upgrade.PluginSystemLauncher.start(PluginSystemLauncher.java:43)
at com.atlassian.jira.startup.DefaultJiraLauncher.lambda$postDbLaunch$2(DefaultJiraLauncher.java:146)
at com.atlassian.jira.config.database.DatabaseConfigurationManagerImpl.doNowOrEnqueue(DatabaseConfigurationManagerImpl.java:298)
at com.atlassian.jira.config.database.DatabaseConfigurationManagerImpl.doNowOrWhenDatabaseActivated(DatabaseConfigurationManagerImpl.java:194)
at com.atlassian.jira.startup.DefaultJiraLauncher.postDbLaunch(DefaultJiraLauncher.java:137)
at com.atlassian.jira.startup.DefaultJiraLauncher.lambda$start$0(DefaultJiraLauncher.java:103)
at com.atlassian.jira.util.devspeed.JiraDevSpeedTimer.run(JiraDevSpeedTimer.java:31)
at com.atlassian.jira.startup.DefaultJiraLauncher.start(DefaultJiraLauncher.java:101)
at com.atlassian.jira.startup.LauncherContextListener.initSlowStuff(LauncherContextListener.java:115)
at java.lang.Thread.run(Thread.java:745)
2018-01-30 10:11:52,116 JIRA-Bootstrap ERROR [c.a.plugin.loaders.ScanningPluginLoader] Unable to deploy plugin 'null' from 'Unit: /var/atlassian/application-data/jira/plugins/installed-plugins/jira-servicedesk-application-3.2.0.obr (1517332266000)'.
2018-01-30 10:11:52,116 JIRA-Bootstrap ERROR [c.a.plugin.loaders.ScanningPluginLoader] Because of the following exception:
java.lang.IllegalArgumentException: The artifact URI file:/var/atlassian/application-data/jira/plugins/installed-plugins/jira-servicedesk-application-3.2.0.obr is not a valid plugin artifact
at com.atlassian.plugin.DefaultPluginArtifactFactory.create(DefaultPluginArtifactFactory.java:71)
at com.atlassian.plugin.loaders.ScanningPluginLoader.deployPluginFromUnit(ScanningPluginLoader.java:139)
at com.atlassian.plugin.loaders.ScanningPluginLoader.loadAllPlugins(ScanningPluginLoader.java:87)
at com.atlassian.plugin.loaders.PermissionCheckingPluginLoader.loadAllPlugins(PermissionCheckingPluginLoader.java:28)
at com.atlassian.plugin.manager.DefaultPluginManager.earlyStartup(DefaultPluginManager.java:524)
at com.atlassian.jira.plugin.JiraPluginManager.earlyStartup(JiraPluginManager.java:118)
at com.atlassian.jira.ComponentManager$PluginSystem.earlyStartup(ComponentManager.java:610)
at com.atlassian.jira.ComponentManager.quickStart(ComponentManager.java:188)
at com.atlassian.jira.ComponentManager.start(ComponentManager.java:157)
at com.atlassian.jira.upgrade.PluginSystemLauncher.start(PluginSystemLauncher.java:43)
at com.atlassian.jira.startup.DefaultJiraLauncher.lambda$postDbLaunch$2(DefaultJiraLauncher.java:146)
at com.atlassian.jira.config.database.DatabaseConfigurationManagerImpl.doNowOrEnqueue(DatabaseConfigurationManagerImpl.java:298)
at com.atlassian.jira.config.database.DatabaseConfigurationManagerImpl.doNowOrWhenDatabaseActivated(DatabaseConfigurationManagerImpl.java:194)
at com.atlassian.jira.startup.DefaultJiraLauncher.postDbLaunch(DefaultJiraLauncher.java:137)
at com.atlassian.jira.startup.DefaultJiraLauncher.lambda$start$0(DefaultJiraLauncher.java:103)
at com.atlassian.jira.util.devspeed.JiraDevSpeedTimer.run(JiraDevSpeedTimer.java:31)
at com.atlassian.jira.startup.DefaultJiraLauncher.start(DefaultJiraLauncher.java:101)
at com.atlassian.jira.startup.LauncherContextListener.initSlowStuff(LauncherContextListener.java:115)
at java.lang.Thread.run(Thread.java:745)
2018-01-30 10:11:52,117 JIRA-Bootstrap ERROR [c.a.plugin.loaders.ScanningPluginLoader] Unable to deploy plugin 'null' from 'Unit: /var/atlassian/application-data/jira/plugins/installed-plugins/jira-servicedesk-application-3.2.1.obr (1517332266000)'.
2018-01-30 10:11:52,118 JIRA-Bootstrap ERROR [c.a.plugin.loaders.ScanningPluginLoader] Because of the following exception:
java.lang.IllegalArgumentException: The artifact URI file:/var/atlassian/application-data/jira/plugins/installed-plugins/jira-servicedesk-application-3.2.1.obr is not a valid plugin artifact
at com.atlassian.plugin.DefaultPluginArtifactFactory.create(DefaultPluginArtifactFactory.java:71)
at com.atlassian.plugin.loaders.ScanningPluginLoader.deployPluginFromUnit(ScanningPluginLoader.java:139)
at com.atlassian.plugin.loaders.ScanningPluginLoader.loadAllPlugins(ScanningPluginLoader.java:87)
at com.atlassian.plugin.loaders.PermissionCheckingPluginLoader.loadAllPlugins(PermissionCheckingPluginLoader.java:28)
at com.atlassian.plugin.manager.DefaultPluginManager.earlyStartup(DefaultPluginManager.java:524)
at com.atlassian.jira.plugin.JiraPluginManager.earlyStartup(JiraPluginManager.java:118)
at com.atlassian.jira.ComponentManager$PluginSystem.earlyStartup(ComponentManager.java:610)
at com.atlassian.jira.ComponentManager.quickStart(ComponentManager.java:188)
at com.atlassian.jira.ComponentManager.start(ComponentManager.java:157)
at com.atlassian.jira.upgrade.PluginSystemLauncher.start(PluginSystemLauncher.java:43)
at com.atlassian.jira.startup.DefaultJiraLauncher.lambda$postDbLaunch$2(DefaultJiraLauncher.java:146)
at com.atlassian.jira.config.database.DatabaseConfigurationManagerImpl.doNowOrEnqueue(DatabaseConfigurationManagerImpl.java:298)
at com.atlassian.jira.config.database.DatabaseConfigurationManagerImpl.doNowOrWhenDatabaseActivated(DatabaseConfigurationManagerImpl.java:194)
at com.atlassian.jira.startup.DefaultJiraLauncher.postDbLaunch(DefaultJiraLauncher.java:137)
at com.atlassian.jira.startup.DefaultJiraLauncher.lambda$start$0(DefaultJiraLauncher.java:103)
at com.atlassian.jira.util.devspeed.JiraDevSpeedTimer.run(JiraDevSpeedTimer.java:31)
at com.atlassian.jira.startup.DefaultJiraLauncher.start(DefaultJiraLauncher.java:101)
at com.atlassian.jira.startup.LauncherContextListener.initSlowStuff(LauncherContextListener.java:115)
at java.lang.Thread.run(Thread.java:745)

Andy Heinzer Atlassian Team Mar 05, 2018

Hi Juan,

Since you have Jira Software, you have to have Jira Core.  Otherwise you couldn't run Jira Software.  You might not have licensed Jira core, because it is not necessary in all situations, but your system has Jira Core, it has to just be able to run Jira Software.

I can see in the logs it looks like your Jira instance is trying to load 3 different JSD versions:

var/atlassian/application-data/jira/plugins/installed-plugins/jira-servicedesk-application-3.2.1.obr
var/atlassian/application-data/jira/plugins/installed-plugins/jira-servicedesk-application-3.2.0.obr
var/atlassian/application-data/jira/plugins/installed-plugins/jira-servicedesk-application-3.10.0.obr

This can't work in any version of Jira.  But depending on which version of Jira these logs came from will determine which of these to remove (if not all of them).

What I would recommend would be to :

  1. Stop Jira
  2. Navigate to your $JIRAHOME/plugins/installed-plugins/ directory
  3. remove all the servicedesk files from this directory
  4. Start Jira again
  5. If your Jira server can make outbound network connections, use the Cog Icon -> Applications -> Versions & Licenses page in order to install the latest Service Desk version that is compatible with your current Jira version.  You might need to click the button on the right panel called "Try Jira Service Desk".  This will install the version of JSD that is compatible with this version of Jira Core that you have. (From looking at your logs, I can't tell which version of Jira core this is.  I presume it is likely the newer 7.7 version, but even if it is some other version, you should still be able to follow these steps to install and upgrade Service Desk here).

Try these steps, If this does not work, please tell me so. At this point if you are still having problem getting this to work, what I would like to do is create a support ticket on your behalf and gather the complete set of logs from your system so that we can better understand the problem here and offer more concise troubleshooting steps to follow.

Cheers,

Andy

Hi Andrew

I installed the jira core and I was able to update it

 

Thanks

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted in Jira Service Desk

Tell us how you've implemented Change Management

Hello Community 👋, I'm a product manager at Atlassian, looking at improving change management capabilities across our products. In particular, we're looking at bridging the gap between Dev & ...

336 views 0 7
Join discussion

Community Events

Connect with like-minded Atlassian users at free events near you!

Find an event

Connect with like-minded Atlassian users at free events near you!

Unfortunately there are no Community Events near you at the moment.

Host an event

You're one step closer to meeting fellow Atlassian users at your local event. Learn more about Community Events

Events near you